optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.OutputStage.LinearOutput Class Reference
Inheritance diagram for optoKummenberg.registers.OutputStage.LinearOutput:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| SetCurrentLimit (self, value)
| GetCurrentLimit (self)
| GetChannelNumber (self)
| GetOutputCurrent (self)
| SetAverageLimitPeriod (self, value)
| GetAverageLimitPeriod (self)
| SetAverageLimitSum (self, value)
| GetAverageLimitSum (self)
| SetCooldownPeriod (self, value)
| GetCooldownPeriod (self)
| SetCalibration (self, value)
| GetCalibration (self)
| SetCurrentLimitNegative (self, value)
| GetCurrentLimitNegative (self)
| SetInvertedOutput (self, value)
| GetInvertedOutput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0xE8 | channel
dict | current_limit
dict | channel_number
dict | output_current
dict | avg_limit_period
dict | avg_limit_sum
dict | cooldown_period
dict | output_disable
dict | calibration
dict | current_limit_neg
dict | inverted_output
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name = self.__class__.__name__
| register_list = self._get_register_list()

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel = channel
| _board = board
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Device Functionality - Firmware Status
    System ID: 0xE8 through 0xEF

    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Register Name      | Id   | Type        | Unit | Range | Default | Comment                                          |
    +====================+======+=============+======+=======+=========+==================================================+
    |current_limit       | 0x00 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | channel_number     | 0x01 |uint 32-bit  |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | output_current     | 0x02 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | avg_limit_period   | 0x03 |uint 32-bit  |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | avg_limit_sum      | 0x03 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | cooldown_period    | 0x04 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | min_integral       | 0x05 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.OutputStage.LinearOutput.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ GetAverageLimitPeriod()

optoKummenberg.registers.OutputStage.LinearOutput.GetAverageLimitPeriod | ( |  | self | ) |

## ◆ GetAverageLimitSum()

optoKummenberg.registers.OutputStage.LinearOutput.GetAverageLimitSum | ( |  | self | ) |

## ◆ GetCalibration()

optoKummenberg.registers.OutputStage.LinearOutput.GetCalibration | ( |  | self | ) |

## ◆ GetChannelNumber()

optoKummenberg.registers.OutputStage.LinearOutput.GetChannelNumber | ( |  | self | ) |

## ◆ GetCooldownPeriod()

optoKummenberg.registers.OutputStage.LinearOutput.GetCooldownPeriod | ( |  | self | ) |

## ◆ GetCurrentLimit()

optoKummenberg.registers.OutputStage.LinearOutput.GetCurrentLimit | ( |  | self | ) |

## ◆ GetCurrentLimitNegative()

optoKummenberg.registers.OutputStage.LinearOutput.GetCurrentLimitNegative | ( |  | self | ) |

## ◆ GetInvertedOutput()

optoKummenberg.registers.OutputStage.LinearOutput.GetInvertedOutput | ( |  | self | ) |

## ◆ GetOutputCurrent()

optoKummenberg.registers.OutputStage.LinearOutput.GetOutputCurrent | ( |  | self | ) |

## ◆ help()

optoKummenberg.registers.OutputStage.LinearOutput.help | ( |  | ) |
| static

## ◆ SetAverageLimitPeriod()

optoKummenberg.registers.OutputStage.LinearOutput.SetAverageLimitPeriod | ( |  | self,
|  |  | value )

## ◆ SetAverageLimitSum()

optoKummenberg.registers.OutputStage.LinearOutput.SetAverageLimitSum | ( |  | self,
|  |  | value )

## ◆ SetCalibration()

optoKummenberg.registers.OutputStage.LinearOutput.SetCalibration | ( |  | self,
|  |  | value )

## ◆ SetCooldownPeriod()

optoKummenberg.registers.OutputStage.LinearOutput.SetCooldownPeriod | ( |  | self,
|  |  | value )

## ◆ SetCurrentLimit()

optoKummenberg.registers.OutputStage.LinearOutput.SetCurrentLimit | ( |  | self,
|  |  | value )

## ◆ SetCurrentLimitNegative()

optoKummenberg.registers.OutputStage.LinearOutput.SetCurrentLimitNegative | ( |  | self,
|  |  | value )

## ◆ SetInvertedOutput()

optoKummenberg.registers.OutputStage.LinearOutput.SetInvertedOutput | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ avg_limit_period

dict optoKummenberg.registers.OutputStage.LinearOutput.avg_limit_period

Initial value:
= {'id': self.sys_id << 8 | 0x03,
'type': float,
'unit': 'Seconds',
'range': None,
'default': 0.1,
'value': 0.1}

## ◆ avg_limit_sum

dict optoKummenberg.registers.OutputStage.LinearOutput.avg_limit_sum

Initial value:
= {'id': self.sys_id << 8 | 0x04,
'type': float,
'unit': None,
'range': None,
'default': 0.3,
'value': 0.3}

## ◆ calibration

dict optoKummenberg.registers.OutputStage.LinearOutput.calibration

Initial value:
= {'id': self.sys_id << 8 | 0x07,
'type': bool,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ channel_number

dict optoKummenberg.registers.OutputStage.LinearOutput.channel_number

Initial value:
= {'id': self.sys_id << 8 | 0x01,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ cooldown_period

dict optoKummenberg.registers.OutputStage.LinearOutput.cooldown_period

Initial value:
= {'id': self.sys_id << 8 | 0x05,
'type': float,
'unit': 'Seconds',
'range': None,
'default': 10.0,
'value': 10.0}

## ◆ current_limit

dict optoKummenberg.registers.OutputStage.LinearOutput.current_limit

Initial value:
= {'id': self.sys_id << 8 | 0x00,
'type': float,
'unit': None,
'range': None,
'default': 0.7,
'value': None}

## ◆ current_limit_neg

dict optoKummenberg.registers.OutputStage.LinearOutput.current_limit_neg

Initial value:
= {'id': self.sys_id << 8 | 0x08,
'type': float,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ inverted_output

dict optoKummenberg.registers.OutputStage.LinearOutput.inverted_output

Initial value:
= {'id': self.sys_id << 8 | 0x09,
'type': bool,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ output_current

dict optoKummenberg.registers.OutputStage.LinearOutput.output_current

Initial value:
= {'id': self.sys_id << 8 | 0x02,
'type': float,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ output_disable

dict optoKummenberg.registers.OutputStage.LinearOutput.output_disable

Initial value:
= {'id': self.sys_id << 8 | 0x06,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ sys_id

int optoKummenberg.registers.OutputStage.LinearOutput.sys_id = 0xE8 | channel

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/OutputStage.py